> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 检查隐形限流

> 检查 Twitter/X 账号的可见性是否受到限制。独立执行两项检测：`search_suggestion_ban` 检查输入完整用户名时账号是否出现在搜索建议中；`search_ban` 检查账号的帖子是否出现在搜索结果中。每项检查返回 `clean`、`banned` 或 `unknown`。`unknown` 附带 `reason`，表示无法完成检测，绝不表示账号受到限制。只有至少一项检查发现实际限制时，`is_shadowbanned` 才为 true。账号资料标记（`protected`、`possibly_sensitive`）单独报告，不计为隐形限流。结果缓存一小时，请查看 `checked_at` 判断数据时间。



## OpenAPI

````yaml openapi-zh-Hans.json GET /check-shadowban
openapi: 3.0.3
info:
  contact: {}
  title: Sorsa.io API
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-shadowban:
    get:
      tags:
        - 行为验证
      summary: 检查隐形限流
      description: >-
        检查 Twitter/X 账号的可见性是否受到限制。独立执行两项检测：`search_suggestion_ban`
        检查输入完整用户名时账号是否出现在搜索建议中；`search_ban` 检查账号的帖子是否出现在搜索结果中。每项检查返回
        `clean`、`banned` 或 `unknown`。`unknown` 附带
        `reason`，表示无法完成检测，绝不表示账号受到限制。只有至少一项检查发现实际限制时，`is_shadowbanned` 才为
        true。账号资料标记（`protected`、`possibly_sensitive`）单独报告，不计为隐形限流。结果缓存一小时，请查看
        `checked_at` 判断数据时间。
      parameters:
        - description: Twitter/X 用户名（不含 @）。
          in: query
          name: username
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckShadowbanResp'
          description: 成功
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 请求无效
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 未授权
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 禁止访问
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 未找到
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 请求过多
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 服务器内部错误
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckShadowbanResp:
      properties:
        account:
          $ref: '#/components/schemas/verification.ShadowbanAccountState'
        checked_at:
          description: 实际执行检测的时间。结果会缓存，因此可能早于本次请求。
          example: '2026-08-01T10:00:00Z'
          type: string
        checks:
          $ref: '#/components/schemas/verification.ShadowbanChecks'
        is_shadowbanned:
          description: 至少一项检查发现限制时为 `true`。结果为 `unknown` 的检查不计入。
          example: false
          type: boolean
        user_id:
          example: '44196397'
          type: string
        username:
          example: elonmusk
          type: string
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
    verification.ShadowbanAccountState:
      properties:
        possibly_sensitive:
          description: 账号是否被标记为可能包含敏感内容。
          example: false
          type: boolean
        protected:
          description: 账号是否为私密账号。
          example: false
          type: boolean
        statuses_count:
          description: 账号自创建以来的资料页帖子总数。
          example: 41230
          type: integer
      type: object
    verification.ShadowbanChecks:
      properties:
        search_ban:
          allOf:
            - $ref: '#/components/schemas/verification.ShadowbanCheckResult'
          description: 账号的帖子是否出现在搜索结果中。
        search_suggestion_ban:
          allOf:
            - $ref: '#/components/schemas/verification.ShadowbanCheckResult'
          description: 输入账号的完整用户名时，账号是否出现在搜索建议中。
      type: object
    verification.ShadowbanCheckResult:
      properties:
        reason:
          description: 检查结果为 `unknown` 的原因。其他情况下不提供。
          example: no_tweets
          type: string
        status:
          description: '`clean`、`banned` 或 `unknown`。`unknown` 表示未能完成检测，绝不代表指控账号受到限制。'
          example: clean
          type: string
        tweets_found:
          description: 搜索屏蔽判定的依据：搜索返回的帖子数。
          example: 18
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````